{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "dd23cc94",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Current detected architecture is: xpu\n"
     ]
    }
   ],
   "source": [
    "import torch\n",
    "from Project_Model.Libs.TorchShims import get_default_device\n",
    "\n",
    "DEVICE = get_default_device()\n",
    "\n",
    "print(f\"Current detected architecture is: {DEVICE.type}\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "6584882e",
   "metadata": {},
   "outputs": [],
   "source": [
    "import Project_Model.Libs.Transformer as Transformer\n",
    "DECODER = Transformer.Decoder(256, 1024, 4)\n",
    "print()"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "deep_learning",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.13.7"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
